export default class AddValueResponse {
   value?: number;

   constructor(init?:Partial<AddValueResponse>){
      if(init){
         if(init["value"])
            this.value = init["value"];
      }
   }


   static verify(data: AddValueResponse){
      return verify_AddValueResponse(data);
   }
}

export function verify_AddValueResponse(data: AddValueResponse): boolean {
   if(data["value"] !== null && data["value"] !== undefined ) {
      if(typeof data["value"] !== "number") return false;
   }

   return true
}